FROM openshift/golang-builder:1.12 AS builder
ENV OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=12 OS_GIT_VERSION=4.3.12-202004091734-32ac198 OS_GIT_TREE_STATE=clean SOURCE_GIT_COMMIT=32ac1984132a3da2b7015a06a8fe7ebac13c57e8 SOURCE_GIT_TAG=32ac198 SOURCE_GIT_URL=https://github.com/openshift/ptp-operator SOURCE_DATE_EPOCH=1576681978 OS_GIT_COMMIT=32ac198 BUILD_VERSION=v4.3.12 BUILD_RELEASE=202004091734
WORKDIR /go/src/github.com/openshift/ptp-operator
COPY . .
ENV GO111MODULE=off
RUN make

FROM openshift/ose-base:v4.3.12.20200409.173425
ENV OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=12 OS_GIT_VERSION=4.3.12-202004091734-32ac198 OS_GIT_TREE_STATE=clean SOURCE_GIT_COMMIT=32ac1984132a3da2b7015a06a8fe7ebac13c57e8 SOURCE_GIT_TAG=32ac198 SOURCE_GIT_URL=https://github.com/openshift/ptp-operator SOURCE_DATE_EPOCH=1576681978 OS_GIT_COMMIT=32ac198 BUILD_VERSION=v4.3.12 BUILD_RELEASE=202004091734
COPY --from=builder /go/src/github.com/openshift/ptp-operator/build/_output/bin/ptp-operator /usr/local/bin/
COPY --from=builder /go/src/github.com/openshift/ptp-operator/manifests /manifests
COPY bindata /bindata


ENTRYPOINT ["/usr/local/bin/ptp-operator"]

LABEL \
        io.k8s.display-name="OpenShift ptp-operator" \
        io.k8s.description="This is a component that manages cluster PTP configuration." \
        io.openshift.tags="openshift,ptp" \
        com.redhat.delivery.appregistry="false" \
        maintainer="Multus Team <multus-dev@redhat.com>" \
        name="openshift/ose-ptp-operator" \
        com.redhat.component="ose-ptp-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        version="v4.3.12" \
        release="202004091734" \
        io.openshift.build.commit.id="32ac1984132a3da2b7015a06a8fe7ebac13c57e8" \
        io.openshift.build.source-location="https://github.com/openshift/ptp-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/ptp-operator/commit/32ac1984132a3da2b7015a06a8fe7ebac13c57e8"

